Skip to content
Leadtime
English
Esc
↑↓navigate↵open⌘Jpreview

Disconnect a component item from its associated task(s)

Disconnect a component item from its associated task(s). Optionally, the associated task(s) can be deleted after disconnection by setting deleteTask to true. All tasks connected to the item via entityUniqueId will be disconnected. If no tasks are connected to the item, a 404 error will be returned.

POST/projects/{projectId}/items/{itemId}/tasks/disconnect
Authorization
AuthorizationOAuth2 access token · headerrequired
Scopes:api:write
or
AuthorizationBearer token (JWT) · headerrequired
Path parameters
projectIdstringrequired
itemIdstringrequired
Request body
requiredapplication/json
deleteTaskbooleanrequired

Whether to delete the associated task(s) after disconnecting

Responses
200

Item successfully disconnected from task(s)

successboolean
400

Invalid request: invalid projectId or itemId format, or validation error in request body

401

Unauthorized - Invalid or missing authentication token

403

Insufficient permissions to manage components or access to project denied

404

Project not found, item not found, item does not belong to the project, or no tasks are connected to the item

Try it
Server
Authorization
Parameters
Bodyapplication/json
Request
curl -X POST "https://leadtime.app/api/public/projects/string/items/string/tasks/disconnect" \
  -H "Authorization: Bearer YOUR_ACCESS_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{
  "deleteTask": false
}'
Response
{
  "success": true
}